Returns taxes based on single home and multiple work locations passed in
curl --request POST \
--url https://api.symmetry.com/prp/v1/taxes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"taxRequestId": 1,
"payDate": "2021-08-04T00:00:00.000Z",
"useAddressSuggestion": false,
"home": {
"companyHasNexus": true,
"location": {
"address": {
"streetAddress1": "123 Main St",
"streetAddress2": "",
"city": "Edison",
"state": "NJ",
"zipCode": 8837
},
"geoCoordinates": {
"longitude": 0,
"latitude": 0
}
}
},
"work": [
{
"locationName": "Main Office",
"nonResidentCertificateOnFile": true,
"location": {
"address": {
"streetAddress1": "14350 N 87th St.",
"streetAddress2": "",
"city": "Scottsdale",
"state": "AZ",
"zipCode": "85260"
},
"geoCoordinates": {
"longitude": 0,
"latitude": 0
}
}
}
]
}
'import requests
url = "https://api.symmetry.com/prp/v1/taxes"
payload = {
"taxRequestId": 1,
"payDate": "2021-08-04T00:00:00.000Z",
"useAddressSuggestion": False,
"home": {
"companyHasNexus": True,
"location": {
"address": {
"streetAddress1": "123 Main St",
"streetAddress2": "",
"city": "Edison",
"state": "NJ",
"zipCode": 8837
},
"geoCoordinates": {
"longitude": 0,
"latitude": 0
}
}
},
"work": [
{
"locationName": "Main Office",
"nonResidentCertificateOnFile": True,
"location": {
"address": {
"streetAddress1": "14350 N 87th St.",
"streetAddress2": "",
"city": "Scottsdale",
"state": "AZ",
"zipCode": "85260"
},
"geoCoordinates": {
"longitude": 0,
"latitude": 0
}
}
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
taxRequestId: 1,
payDate: '2021-08-04T00:00:00.000Z',
useAddressSuggestion: false,
home: {
companyHasNexus: true,
location: {
address: {
streetAddress1: '123 Main St',
streetAddress2: '',
city: 'Edison',
state: 'NJ',
zipCode: 8837
},
geoCoordinates: {longitude: 0, latitude: 0}
}
},
work: [
{
locationName: 'Main Office',
nonResidentCertificateOnFile: true,
location: {
address: {
streetAddress1: '14350 N 87th St.',
streetAddress2: '',
city: 'Scottsdale',
state: 'AZ',
zipCode: '85260'
},
geoCoordinates: {longitude: 0, latitude: 0}
}
}
]
})
};
fetch('https://api.symmetry.com/prp/v1/taxes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": {
"homeResults": {
"locationName": "<string>",
"inputGeoCoordinates": {
"longitude": 33.6158,
"latitude": -111.8946
},
"locationDetails": {
"taxJurisdictions": {
"type": "<string>",
"features": [
{
"type": "<string>",
"geometry": {
"type": "<string>",
"crs": {
"type": "<string>",
"properties": {
"name": "<string>"
}
},
"coordinates": [
[
[
[
123
]
]
]
]
},
"properties": {
"name": "<string>",
"steCode": "<string>",
"fipsCode": "<string>",
"stateCode": "<string>",
"steCodeType": "<string>"
}
}
]
},
"locationCode": "<string>",
"psdCode": "<string>"
},
"locationTaxes": [
"<string>"
],
"transactionError": {
"errorCode": "<string>",
"errorMessage": "<string>"
},
"addressResults": {
"inputAddress": {
"streetAddress1": "14350 N 87th St",
"streetAddress2": "Ste 310",
"city": "Scottsdale",
"state": "AZ",
"zipCode": "85260-2663"
},
"normalizedAddress": {
"streetAddress1": "14350 N 87th St",
"streetAddress2": "Ste 310",
"city": "Scottsdale",
"state": "AZ",
"zipCode": "85260-2663"
},
"isVerified": true,
"addressSuggestions": [
{
"streetAddress1": "14350 N 87th St",
"streetAddress2": "Ste 310",
"city": "Scottsdale",
"state": "AZ",
"zipCode": "85260-2663"
}
],
"addressResultMessages": {},
"addressErrorMessages": {},
"isGeocoded": true,
"latitude": 123,
"longitude": 123,
"addressTypeCode": "<string>",
"addressTypeDescription": "<string>",
"deliveryPointCode": "<string>",
"addressKey": "<string>",
"addressKeyBase": "<string>"
}
},
"workResults": {},
"payDate": "2023-12-25",
"taxResults": [
{
"uniqueTaxID": "<string>",
"description": "<string>",
"rate": 123,
"wageBase": 123,
"taxLimit": 123,
"taxLimitPeriod": "<string>",
"taxStartDate": "2023-12-25",
"taxEndDate": "2023-12-25",
"credit": 123,
"creditLimit": 123,
"paid": true,
"stateWide": true,
"stateCode": "<string>",
"stateName": "<string>",
"altTaxID": "<string>",
"resident": true,
"employerTax": true
}
],
"processingError": {
"errorCode": "<string>",
"errorMessage": "<string>"
},
"customCodes": [
{}
],
"minimumWage": [
{}
]
},
"transactionDetails": {
"timestamp": "2023-11-07T05:31:56Z",
"serviceVersion": "<string>",
"processedTransactions": 123,
"processingTime": {
"seconds": 123,
"zero": true,
"nano": 123,
"negative": true,
"positive": true,
"units": [
{
"durationEstimated": true,
"timeBased": true,
"dateBased": true
}
]
}
}
}Returns taxes based on single home and multiple work locations passed in
POST
/
v1
/
taxes
Returns taxes based on single home and multiple work locations passed in
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I

